Nini Library API Reference - http://nini.sourceforge.net/ |

# IniConfigSource Members

IniConfigSource overview

#### Public Instance Constructors

IniConfigSource | Overloaded. Initializes a new instance of the IniConfigSource class.

#### Public Instance Properties

Alias (inherited from ConfigSourceBase) | Gets the global AliasText for all IConfigs in this source.
AutoSave (inherited from ConfigSourceBase) | Gets or sets whether the source will be automatically saved.
CaseSensitive | Gets or sets whether key values will be accessed ignoring case.
Configs (inherited from ConfigSourceBase) | Returns the collection of IConfig objects.
SavePath | The path where the document will be saved.

#### Public Instance Methods

AddConfig (inherited from ConfigSourceBase) | Adds a new IConfig.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
ExpandKeyValues (inherited from ConfigSourceBase) | Expands all key values.
GetExpanded (inherited from ConfigSourceBase) | Returns the expanded string value. This method does not replace the other key values in the IConfigSource.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type. GetHashCode is suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
Load | Overloaded. Loads an INI file source.
Merge (inherited from ConfigSourceBase) | Merges all IConfigs from another IConfigSource into the Configs collection.
Reload | Reloads all configuration values.
ReplaceKeyValues (inherited from ConfigSourceBase) | This method is deprecated. Use ExpandKeyValues from now on.
Save | Overloaded. Saves all configuration values.
ToString | Returns all characters in the document.

#### Public Instance Events

Reloaded (inherited from ConfigSourceBase) | Occurs when the config source is reloaded.
Saved (inherited from ConfigSourceBase) | Occurs when the config soucre is saved.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.
OnReloaded (inherited from ConfigSourceBase) |
OnSaved (inherited from ConfigSourceBase) |

#### See Also

IniConfigSource Class | Nini.Config Namespace